package com.hfkj.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * bs_oil_price_quiz_user
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsOilPriceQuizUser implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 调价日id
     */
    private Long priceAdjustDateId;

    /**
     * 调价日日期
     */
    private Date priceAdjustDate;

    /**
     * 省地区代码
     */
    private Long provinceCode;

    /**
     * 省地区名称
     */
    private String provinceName;

    /**
     * 市地区代码
     */
    private Long cityCode;

    /**
     * 市地区名称
     */
    private String cityName;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户手机号
     */
    private String userPhone;

    /**
     * 竞猜 1：涨幅  2：跌幅  3：不调整
     */
    private Integer quizOption;

    /**
     * 竞猜结果  0：未猜中  1：猜中
     */
    private Boolean quizResult;

    /**
     * 通知开启状态  0：未开启  1：已开启
     */
    private Boolean noticeStatus;

    /**
     * 状态 0：删除 1： 可用
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getPriceAdjustDateId() {
        return priceAdjustDateId;
    }

    public void setPriceAdjustDateId(Long priceAdjustDateId) {
        this.priceAdjustDateId = priceAdjustDateId;
    }

    public Date getPriceAdjustDate() {
        return priceAdjustDate;
    }

    public void setPriceAdjustDate(Date priceAdjustDate) {
        this.priceAdjustDate = priceAdjustDate;
    }

    public Long getProvinceCode() {
        return provinceCode;
    }

    public void setProvinceCode(Long provinceCode) {
        this.provinceCode = provinceCode;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public Long getCityCode() {
        return cityCode;
    }

    public void setCityCode(Long cityCode) {
        this.cityCode = cityCode;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserPhone() {
        return userPhone;
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public Integer getQuizOption() {
        return quizOption;
    }

    public void setQuizOption(Integer quizOption) {
        this.quizOption = quizOption;
    }

    public Boolean getQuizResult() {
        return quizResult;
    }

    public void setQuizResult(Boolean quizResult) {
        this.quizResult = quizResult;
    }

    public Boolean getNoticeStatus() {
        return noticeStatus;
    }

    public void setNoticeStatus(Boolean noticeStatus) {
        this.noticeStatus = noticeStatus;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsOilPriceQuizUser other = (BsOilPriceQuizUser) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getPriceAdjustDateId() == null ? other.getPriceAdjustDateId() == null : this.getPriceAdjustDateId().equals(other.getPriceAdjustDateId()))
            && (this.getPriceAdjustDate() == null ? other.getPriceAdjustDate() == null : this.getPriceAdjustDate().equals(other.getPriceAdjustDate()))
            && (this.getProvinceCode() == null ? other.getProvinceCode() == null : this.getProvinceCode().equals(other.getProvinceCode()))
            && (this.getProvinceName() == null ? other.getProvinceName() == null : this.getProvinceName().equals(other.getProvinceName()))
            && (this.getCityCode() == null ? other.getCityCode() == null : this.getCityCode().equals(other.getCityCode()))
            && (this.getCityName() == null ? other.getCityName() == null : this.getCityName().equals(other.getCityName()))
            && (this.getUserId() == null ? other.getUserId() == null : this.getUserId().equals(other.getUserId()))
            && (this.getUserPhone() == null ? other.getUserPhone() == null : this.getUserPhone().equals(other.getUserPhone()))
            && (this.getQuizOption() == null ? other.getQuizOption() == null : this.getQuizOption().equals(other.getQuizOption()))
            && (this.getQuizResult() == null ? other.getQuizResult() == null : this.getQuizResult().equals(other.getQuizResult()))
            && (this.getNoticeStatus() == null ? other.getNoticeStatus() == null : this.getNoticeStatus().equals(other.getNoticeStatus()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getPriceAdjustDateId() == null) ? 0 : getPriceAdjustDateId().hashCode());
        result = prime * result + ((getPriceAdjustDate() == null) ? 0 : getPriceAdjustDate().hashCode());
        result = prime * result + ((getProvinceCode() == null) ? 0 : getProvinceCode().hashCode());
        result = prime * result + ((getProvinceName() == null) ? 0 : getProvinceName().hashCode());
        result = prime * result + ((getCityCode() == null) ? 0 : getCityCode().hashCode());
        result = prime * result + ((getCityName() == null) ? 0 : getCityName().hashCode());
        result = prime * result + ((getUserId() == null) ? 0 : getUserId().hashCode());
        result = prime * result + ((getUserPhone() == null) ? 0 : getUserPhone().hashCode());
        result = prime * result + ((getQuizOption() == null) ? 0 : getQuizOption().hashCode());
        result = prime * result + ((getQuizResult() == null) ? 0 : getQuizResult().hashCode());
        result = prime * result + ((getNoticeStatus() == null) ? 0 : getNoticeStatus().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", priceAdjustDateId=").append(priceAdjustDateId);
        sb.append(", priceAdjustDate=").append(priceAdjustDate);
        sb.append(", provinceCode=").append(provinceCode);
        sb.append(", provinceName=").append(provinceName);
        sb.append(", cityCode=").append(cityCode);
        sb.append(", cityName=").append(cityName);
        sb.append(", userId=").append(userId);
        sb.append(", userPhone=").append(userPhone);
        sb.append(", quizOption=").append(quizOption);
        sb.append(", quizResult=").append(quizResult);
        sb.append(", noticeStatus=").append(noticeStatus);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}